SF3CONVERT(1)

NAME
sf3convert - SoundFont conversion utility

SYNOPSIS
sf3convert [-cdsxz] [-a ampl] [-p pres] [-S number] [-q qual] infile [outfile]

DESCRIPTION
The sf3convert utility converts an SF2 format SoundFont; it can compress it into SF3, encode as C for embedding into a binary, or as XML.

The options are as follows:

-a ampl
    Set the pre-compression amplification to ampl (default -1.0) dB.

-c  Output C code.

-d  Dump presets.

-p pres
    Append pres to the list of presets.

-q qual
    Set the Vorbis quality to qual (default 0.3).

-S number
    Use number as the OGG stream serial number instead of a time-based random one.

-s  Create a small soundfont (one instrument/preset), pan to 0.

-x  Output XML.

-z  Compress the soundfont.

The -c, -d and -z options are mutually exclusive. XML output needs -z but does not seem to compress.

CAVEATS
Raising the quality to 0.6 might be necessary to avoid artifacts; this however increases the size of the generated SF3 by about a third (to about fifteen percent of the SF2 size).

There is no formal specification of the SF3 format yet. Differences:

•   The samples' waveform data is stored using the OGG container format with the Vorbis codec. (Other codecs supporting the OGG container could be used, but the current code uses OGG Vorbis.)

•   Loop start and end are stored based on the beginning of the corresponding sample, not based on the beginning of the smpl chunk.

•   24-bit mode is disabled.

•   Sample links are removed.

Note that this list is incomplete.